Bug 445226 - Evolution receives disconnect when accessing lkml folder
Evolution receives disconnect when accessing lkml folder
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 11:51 EDT by Josh Boyer
Modified: 2008-10-14 10:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 10:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of running evo with CAMEL_DEBUG=all (2.16 MB, application/octet-stream)
2008-05-05 11:54 EDT, Josh Boyer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 529199 None None None Never

  None (edit)
Description Josh Boyer 2008-05-05 11:51:50 EDT
Description of problem:

I have evo configured to use IMAP for my gmail account.  When accessing my lkml
folder, it gets to approximately 15% and then reports that the server
unexpectedly disconnected.

This started happening recently.  Evo has been working fine with this setup for
a couple months and last week it started doing this for the lkml folder only.

As an aside, claws-mail works fine.

Version-Release number of selected component (if applicable):

evolution-2.22.1-2.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1.  Start evo
2.  Try to access the lkml folder
3.  Wait a few minutes for it to timeout
  
Actual results:

Times out, no messages displayed.

Expected results:

Access works fine.

Additional info:

After this started I trimmed some of the older emails in the folder via the
webmail interface to see if that had an impact.  It doesn't seem to have.
Comment 1 Josh Boyer 2008-05-05 11:54:14 EDT
Created attachment 304532 [details]
log of running evo with CAMEL_DEBUG=all

gzipped log file
Comment 2 Matthew Barnes 2008-05-05 12:51:31 EDT
About how many messages are in this folder?
Comment 3 Josh Boyer 2008-05-05 13:02:35 EDT
(In reply to comment #2)
> About how many messages are in this folder?

According to claws-mail, 55683
Comment 4 Matthew Barnes 2008-05-05 13:15:13 EDT
Hmm, strange.  I have at least that many in my fedora-devel-list folder on our
local IMAP server.  Maybe this is GMail-specific.

I assume this is all just mailing-list traffic, nothing personal.  Do you think
you could export the folder to an mbox file using Claws and attach it?  I'll see
if I can reproduce the connection drop on my own GMail account.
Comment 5 Josh Boyer 2008-05-05 13:34:23 EDT
(In reply to comment #4)
> Hmm, strange.  I have at least that many in my fedora-devel-list folder on our
> local IMAP server.  Maybe this is GMail-specific.
> 
> I assume this is all just mailing-list traffic, nothing personal.  Do you think
> you could export the folder to an mbox file using Claws and attach it?  I'll see
> if I can reproduce the connection drop on my own GMail account.

Sure.  It'll take a bit to export and then upload, but I'll get that going.

Comment 6 Josh Boyer 2008-05-05 16:17:34 EDT
Davej helped out and made a lkml mbox of comparable size for us.  You can find
it at:

http://davej.fedorapeople.org/lkml.mbox.bz2
Comment 7 Matthew Barnes 2008-05-06 10:13:11 EDT
Upstream bug describes the same issue with a GMail account:
http://bugzilla.gnome.org/show_bug.cgi?id=529199

Starting to sound like this is indeed GMail-specific.
Comment 8 Matthew Barnes 2008-05-19 12:13:34 EDT
I've been having trouble just /uploading/ that mbox to my GMail account through
Evolution.  GMail seems persnickety about large transfers in either direction.

Will try uploading with Thunderbird.
Comment 9 Josh Boyer 2008-05-19 12:47:43 EDT
For shiggles and gits I tried using mutt over the weekend.  It would also crap
out when trying to access my lkml folder.  Doing a bit of googling seemed to
suggest that the mutt people blamed it on gnutls.  If they build it against
openssl instead, it works fine (reportedly).

https://bugs.launchpad.net/ubuntu/+source/mutt/+bug/105736

Does evolution use gnutls or openssl?
Comment 10 Matthew Barnes 2008-05-19 13:35:40 EDT
(In reply to comment #9)
> Does evolution use gnutls or openssl?

Neither.  Mozilla NSS.
Comment 11 Josh Boyer 2008-10-14 10:49:15 EDT
This magically went away.

Note You need to log in before you can comment on or make changes to this bug.